package com.ltdigital.sdk.android.demo.activity

import android.os.Bundle
import android.view.MotionEvent
import android.view.View
import com.android.core.adapter.BaseViewPagerAdapter
import com.android.core.base.fragment.BaseFragment
import com.ltdigital.sdk.android.demo.callback.GattStatusChangeCallback
import kotlinx.android.synthetic.main.activity_main.*

/**
 * @author  Riven
 * @date  2021/11/16 18:40
 * @version 1.0
 */
abstract class BaseDeviceActivity : BaseActivity(), GattStatusChangeCallback {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        MainActivity.bleManager?.let {
            it.addGattStatusChangeCallback(this)
            initSuccess()
        } ?: dealDeviceUnConnected()
    }

    override fun onResume() {
        super.onResume()
        //设备已断开
        MainActivity.bleManager ?: dealDeviceUnConnected()
    }

    override fun onDestroy() {
        super.onDestroy()
        MainActivity.bleManager?.removeGattStatusChangeCallback(this)
    }

    private fun dealDeviceUnConnected() {
        showToast("请先完成设备连接")
        finish()
    }

    override fun onGattDisconnected() {
        finish()
    }

    override fun onGattConnected() {
    }

    abstract fun initSuccess()
}