package com.ltdigital.sdk.android.demo.activity

import android.util.Patterns
import com.ltdigital.sdk.android.demo.MyPreferences
import com.ltdigital.sdk.android.demo.R
import com.ltdigital.sdk.android.demo.zxing.MySurfaceView
import kotlinx.android.synthetic.main.activity_change_active.*

/**
 * @author  Riven
 * @date  2022/1/21 10:44
 * @version 1.0
 */
class ChangeActiveServiceActivity : BaseQRCodeScanActivity() {

    override fun initView() {
        super.initView()
        et_activating_url.setText(MyPreferences.getPreferences(this).storageActiveServerUrl)
        bt_save.setOnClickListener {
            MyPreferences.getPreferences(this).storageActiveServerUrl =
                et_activating_url.text.toString()
            showToast("激活服务器地址更新完毕！")
            finish()
        }
        bt_restore.setOnClickListener {
            MyPreferences.getPreferences(this).storageActiveServerUrl = null
            et_activating_url.setText(MyPreferences.getPreferences(this).storageActiveServerUrl)
            showToast("激活服务器地址已恢复默认值，请点击保存完成修改")
        }
    }

    override fun getLayout(): Int {
        return R.layout.activity_change_active
    }

    override fun dealDecodeResult(result: String?): Boolean {
        try {
            if (!Patterns.WEB_URL.matcher(result!!).matches()) {
                throw Exception()
            }
        } catch (e: Exception) {
            showToast("无效链接地址！")
            return false
        }
        showToast("扫描结果：$result")
        et_activating_url.setText(result)
        return false
    }

    override fun getSurfaceView(): MySurfaceView {
        return preview_view
    }
}