package com.ltdigital.sdk.android.demo.activity

import android.os.Bundle
import com.ltdigital.sdk.android.demo.R
import com.ltdigital.sdk.android.demo.callback.HeartValueCallback
import kotlinx.android.synthetic.main.activity_heart_test.*

/**
 * @author  Riven
 * @date  2021/9/27 17:04
 * @version 1.0
 */
class HeartTestActivity : BaseActivity(), HeartValueCallback {

    var isBegin = false

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_heart_test)
        MainActivity.bleManager?.setHeartValueCallback(this)
        bt_begin.setOnClickListener {
            isBegin = isBegin.not()
            MainActivity.bleManager?.heartTranslate(isBegin)
            bt_begin.text = if (isBegin) "结束" else "开始"
        }
    }

    override fun onDestroy() {
        super.onDestroy()
        MainActivity.bleManager?.setHeartValueCallback(null)
    }

    override fun onHeartValueChange(
        skin: Int,
        hr: Int,
        hrConf: Int,
        spo2: Int,
        spo2Conf: Int,
        rri: Int
    ) {
        tv_heart_value?.post {
            tv_heart_value?.text = "skin:$skin" +
                    "\nhr:$hr" +
                    "\nhrConf:$hrConf%" +
                    "\nspo2:$spo2" +
                    "\nspo2Conf:$spo2Conf%" +
                    "\nrri:$rri"
        }
    }

}