package com.ltdigital.sdk.android.demo.bean

/**
 * @author  Riven
 * @date  2021/11/9 16:41
 * @version 1.0
 */
class AutoTestResult(
    val type: Int,
    val IMUPass: Boolean,
    val magPass: Boolean,
    val NfcPass: Boolean,
    val NANDPass: Boolean,
    val USBPass: Boolean,
    val heartPass: Boolean,
    val batteryPass: Boolean
) {

    fun getTestType(): String {
        return when (type) {
            0x00 -> "板级测试"
            0x01 -> "半成品测试"
            0x02 -> "成品测试"
            0x03 -> "已完成所有测试"
            else -> "known"
        }
    }

    fun isAllPass(): Boolean {
        return type != 0x03 && IMUPass && magPass && NfcPass && NANDPass && USBPass && heartPass && batteryPass
    }

    override fun toString(): String {
        return "AutoTestResult(type=$type, IMUPass=$IMUPass, magPass=$magPass, NfcPass=$NfcPass, NANDPass=$NANDPass, USBPass=$USBPass, heartPass=$heartPass, batteryPass=$batteryPass)"
    }
}