package com.ltdigital.sdk.android.demo.bluetooth;


public class Operation {

    public static final int TYPE_COMMAND = 0;
    public static final int TYPE_STATUS = 1;
    public static final int TYPE_S_COMMAND = 2;

    DataSyncOperationCallback callback;
    public int type;
    private boolean done = false;
    private Runnable runnable;
    byte[] dataBytes = null;
    long startRunTime = Long.MAX_VALUE;

    public Operation(int type, byte[] dataBytes, Runnable runnable, DataSyncOperationCallback callback) {
        this.type = type;
        this.dataBytes = dataBytes;
        this.runnable = runnable;
        this.callback = callback;
    }

    public void done() {
        this.done = true;
    }

    public DataSyncOperationCallback getCallback() {
        return this.callback;
    }

    public boolean isDone() {
        return this.done;
    }

    public void run() {
        startRunTime = System.currentTimeMillis();
        this.runnable.run();
    }

    public interface DataSyncOperationCallback {
        int STATUS_TIME_OUT = 0xFFFF;

        int REMOTE_BUSY = 0xFFFE;

        void onFail(int status);

        void onSuccess();
    }
}