package com.ltdigital.sdk.android.demo.dialog

import android.app.Dialog
import android.content.Context
import com.android.core.base.mvp.inter.IView
import com.ltdigital.sdk.android.demo.R
import com.ltdigital.sdk.android.demo.activity.BaseActivity
import com.ltdigital.sdk.android.demo.net.MyOkHttpHelper
import kotlinx.android.synthetic.main.layout_loading.*
import java.util.*

/**
 * @author  Riven
 * @date  2021/11/16 15:15
 * @version 1.0
 */
class LoadingDialog(context: Context, val tag: Any) : Dialog(context) {

    val defDesc: String = "加载中..."
    var desc: CharSequence? = null

    init {
        setContentView(R.layout.layout_loading)
        setDescText(desc)
        setCanceledOnTouchOutside(false)
        setCancelable(true)
    }

    override fun onBackPressed() {
        super.onBackPressed()
        tag?.let {
            MyOkHttpHelper.getHelper().cancelByTag(it)
        }
    }

    fun setDescText(desc: CharSequence?) {
        this.desc = desc
        this.desc?.let {
            tv_content?.text = it
        } ?: let {
            tv_content?.text = defDesc
        }
    }
}