package com.ltdigital.sdk.android.demo.dialog

import android.app.AlertDialog
import android.content.Context
import android.os.Bundle
import com.ltdigital.sdk.android.demo.R
import kotlinx.android.synthetic.main.dialog_alert.*

/**
 * @author  Riven
 * @date  2021/9/26 10:13
 * @version 1.0
 */
class MyAlertDialog(context: Context) : AlertDialog(context) {

    var confirmRunnable: Runnable? = null
    var cancelRunnable: Runnable? = null
    var contentStr: String? = null

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.dialog_alert)
        bt_confirm?.setOnClickListener {
            confirmRunnable?.run()
            dismiss()
        }
        bt_cancel?.setOnClickListener {
            cancelRunnable?.run()
            dismiss()
        }
        tv_content?.text = contentStr
    }

    fun setContent(msg: String) {
        contentStr = msg
        tv_content?.text = msg
    }

    fun setConfirmClickListener(runnable: Runnable?) {
        confirmRunnable = runnable
    }

    fun setCancelClickListener(runnable: Runnable?) {
        cancelRunnable = runnable
    }
}