package com.ltdigital.sdk.android.demo.net.interceptor;

import android.content.Context;
import android.os.Build;
import android.text.TextUtils;
import android.webkit.WebSettings;

import androidx.annotation.NonNull;

import com.android.net.BuildConfig;
import com.ltdigital.sdk.android.demo.Application;

import java.io.IOException;

import okhttp3.Interceptor;
import okhttp3.Request;
import okhttp3.Response;

public class HeadInterceptor implements Interceptor {

    @NonNull
    @Override
    public Response intercept(@NonNull Chain chain) throws IOException {
        //add token to head
        Request.Builder requestBuilder = chain.request().newBuilder();

//        String token = MyBaseApplication.getApplication().getmToken();

//        if (token != null && !TextUtils.isEmpty(token)) {
//            requestBuilder.addHeader("token", token);
//        }

//        String lang = MyBaseApplication.getApplication().getRealLang();

//        if (lang != null && !TextUtils.isEmpty(lang)) {
//            requestBuilder.addHeader("lang", lang);
//        }

        requestBuilder.addHeader("version", BuildConfig.VERSION_NAME)
                .addHeader("platform", "wa005_factory_test");

        String agent = getUserAgent(Application.getAppContext());
        agent = agent == null ? "" : agent;

        String userAgent = String.format("MedicTec/%s " + agent, BuildConfig.VERSION_NAME);
        requestBuilder.removeHeader("User-Agent");
        requestBuilder.addHeader("User-Agent", userAgent);

        return chain.proceed(requestBuilder.build());
    }

    private static String getUserAgent(Context context) {
        String userAgent = "";
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.JELLY_BEAN_MR1) {
            try {
                userAgent = WebSettings.getDefaultUserAgent(context);
            } catch (Exception e) {
                userAgent = System.getProperty("http.agent");
            }
        } else {
            userAgent = System.getProperty("http.agent");
        }

        if (userAgent == null) return null;

        StringBuilder sb = new StringBuilder();
        for (int i = 0, length = userAgent.length(); i < length; i++) {
            char c = userAgent.charAt(i);
            if (c <= '\u001f' || c >= '\u007f') {
                sb.append(String.format("\\u%04x", (int) c));
            } else {
                sb.append(c);
            }
        }
        return sb.toString();
    }
}
